JSListPicker module - Defect #512

The listPicker has an issue when form.name property is fired twice
05/25/2012 11:49 PM - John Michael Parkan

Status: Closed Start date: 05/25/2012
Priority: Normal Due date:

Assignee: Robert Ivens % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.0

Browser (if web

client):

Description

The name 'masterlineitemlistpicker_icitem_to_selected' already exists as a relation name

Wrapped java.lang.RuntimeException: com.servoy.j2db.persistence.RepositoryException: The hame
'masterlineitemlistpicker_icitem_to_selected' already exists as a relation name (D:\Documents and
Settings\administrator. JANUS\servoy_workspace5211\mod_listpicker\globals.js#403)

Related issues:
Related to JSListPicker module - Defect #528: Using a camelcase form name cau... Closed 07/13/2012

History

#1 - 07/01/2012 03:05 PM - Robert Ivens

- Status changed from New to Feedback

This is about creating the multi-select relation for a second time. It has code to check for the existance of the relationship so this error should never
happen.

Can you check to see if this still occurs with the latest version (beta 5)?

#2 - 07/02/2012 02:25 PM - John Michael Parkan

This totally works now! No errors. Thanks so much!

So a bad install of the last version?

#3 - 07/13/2012 05:43 PM - Robert lvens

- Target version set to 1.0

#4 - 07/13/2012 06:54 PM - Robert Ivens
- Status changed from Feedback to Closed

Fixed in beta 7
